<?xml version="1.0"?>
<configuration xmlns="http://www.entrouvert.org/namespaces/expression/0.0">
 <siteXsltFilePath>vhosts/system/xslt/site.xsl</siteXsltFilePath>
 <logFilePath>/var/log/expression.log</logFilePath>
 <pidFilePath>expression.pid</pidFilePath>
 <adminEmail>webmaster@localhost</adminEmail>
 <!--
 <user>www-data</user>
 <group>www-data</group>
 -->

 <item name="css" src="/usr/local/share/expression/css"/>
 <item name="descriptions" src="/usr/local/share/expression/descriptions"/>
 <item name="images" src="/usr/local/share/expression/images"/>
 <item name="javascript" src="/usr/local/share/expression/javascript"/>
 <item name="schemas" src="/usr/local/share/expression/schemas"/>
 <item name="xslt" src="/usr/local/share/expression/xslt"/>

 <module name="expression.modules.groups"/>
 <module name="expression.modules.identities"/>
 <module name="expression.modules.libertyalliance"/>
 <module name="expression.modules.emails"/>
 <module name="expression.modules.passwordaccounts"/>
 <module name="expression.modules.persons"/>
 <module name="expression.modules.xforms.descriptions"/>
 <module name="expression.modules.xforms.xforms"/>

 <virtualHost>
  <port>1999</port>
  <serverName>idp2</serverName>
  <title>Identity Provider</title>
  <documentRoot>vhosts/identity-provider/</documentRoot>
  <talkback/>
 </virtualHost>

 <sslVirtualHost>
  <port>2000</port>
  <serverName>idp2</serverName>
  <title>Identity Provider</title>
  <documentRoot>vhosts/identity-provider/</documentRoot>
  <sslCACertificateFile>tests/data/ca2-ssl/certificate.pem</sslCACertificateFile>
  <sslCertificateFile>tests/data/idp2-ssl/certificate.pem</sslCertificateFile>
  <sslCertificateKeyFile>tests/data/idp2-ssl/private-key-raw.pem</sslCertificateKeyFile>
 </sslVirtualHost>

 <virtualHost>
  <port>2007</port>
  <serverName>sp2</serverName>
  <title>Service Provider</title>
  <documentRoot>vhosts/service-provider/</documentRoot>
  <talkback/>
 </virtualHost>

 <sslVirtualHost>
  <port>2008</port>
  <serverName>sp2</serverName>
  <title>Service Provider</title>
  <documentRoot>vhosts/service-provider/</documentRoot>
  <sslCACertificateFile>tests/data/ca2-ssl/certificate.pem</sslCACertificateFile>
  <sslCertificateFile>tests/data/sp2-ssl/certificate.pem</sslCertificateFile>
  <sslCertificateKeyFile>tests/data/sp2-ssl/private-key-raw.pem</sslCertificateKeyFile>
 </sslVirtualHost>

</configuration>
